#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import sys
import os

from django import forms
from django.utils.safestring import mark_safe
from django.template.loader import render_to_string


class BaseForm(forms.Form):

    def as_template(self):
        dirname = os.path.dirname(sys.modules[self.__module__].__file__)
        template = os.path.join(dirname, 'template.html')
        return mark_safe(render_to_string(
            template,
            dictionary={
                'form': self,
                'pk': os.path.basename(dirname),
            },
            context_instance=None
        ))
