# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from ionas.request import XmlConfNode as Node


def node_to_dict(_node):
    _dict = {}
    _dict['email'] = _node.get_value('email')
    _dict['password'] = _node.get_value('password')
    _dict['cabinet'] = _node.get_value('cabinet')
    _dict['drawer'] = _node.get_value('drawer')
    _dict['upload_max_size'] = int(_node.get_value('upload_max_size', '5120'))
    return _dict

def dict_to_node(_dict, tagname):
    _node = Node(tagname)
    _node.append_child('email', text=_dict['email'])
    _node.append_child('password', text=_dict['password'])
    _node.append_child('cabinet', text=_dict['cabinet'])
    _node.append_child('drawer', text=_dict['drawer'])
    # _node.append_child('upload_max_size', text='{0}'.format(_dict['upload_max_size']))
    _node.append_child('upload_max_size',
                       text='{0}'.format(_dict.get('upload_max_size', '5120')))
    return _node
