#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from django import forms

from .. import base

from project.forms.fields.extras.fxwf import FXWFDrawerTextField
from project.forms.fields.extras.fxwf import FXWFPasswordField
from project.forms.fields.extras.fxwf import FXWFCabinetTextField
from project.forms.fields.extras.fxwf import FXWFUidTextField
from project.forms.fields.extras.fxwf import UploadsizeTextField


class Form(base.BaseForm):
    email = FXWFUidTextField(label='ユーザーID')
    password = FXWFPasswordField(label='パスワード')
    drawer = FXWFDrawerTextField(label='ドロワー名')
    cabinet = FXWFCabinetTextField(label='キャビネット番号')
    def __init__(self, *args, **kwargs):
        super(Form, self).__init__(*args, **kwargs)
        if self.is_dst_form:
            self.fields['upload_max_size'] = UploadsizeTextField(
                label='1ファイルの最大アップロードサイズ',
            )
    @property
    def is_dst_form(self):
        try:
            # TODO
            return self.prefix.startswith('dst')
        except Exception as err:
            return False


class GetDrawernamesForm(base.BaseForm):
    email = FXWFUidTextField(label='ユーザーID')
    password = FXWFPasswordField(label='パスワード')
    cabinet = FXWFCabinetTextField(label='キャビネット番号')
